Bug 458283 - buildinstall does not use .rpms downloaded by pungi
buildinstall does not use .rpms downloaded by pungi
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
: 491193 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 09:54 EDT by John Reiser
Modified: 2013-07-04 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 11:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2008-08-07 09:54:41 EDT
Description of problem: During the buildinstall phase of a pungi run, then buildinstall was accessing the network for a lot of data.  Buildinstall was downloading packages such as
   # ls -l /proc/26923/fd
   l-wx------ 1 root root 64 2008-08-07 06:01 15 -> /tmp/yumdir.26908/var/cache /yum/anaconda-mirrorlistrepo-1/packages/samba-common-3.2.0-1.rc2.16.fc10.i386.rpm
despite pungi already having that package:
   # ls -l /data/Fedora10/10/i386/os/Packages/samba-common-3.2.0-1.rc2.16.fc10.i386.rpm
-rw-r--r-- 2 root root 11425424 2008-06-11 10:28 /data/Fedora10/10/i386/os/Packages/samba-common-3.2.0-1.rc2.16.fc10.i386.rpm

Not only did the extra downloading take a long time, but the packages that buildinstall downloaded (some of them had newer version names) got erased because they were placed in a temporary directory.  Therefore those packages will be downloaded again [on the next run] because they did not go into a cache that persists across runs of pungi.

Version-Release number of selected component (if applicable):
pungi-2.0.3-1.fc10.noarch
anaconda-11.4.1.24-1.i386


How reproducible: haven't tried


Steps to Reproduce:
1.pungi -c /usr/share/pungi/rawhide-fedora.ks --destdir=/data/Fedora10 --name Fedora --ver 10 --nosource
2.
3.
  
Actual results: buildinstall downloads packages


Expected results: buildinstall uses packages that pungi already downloaded.


Additional info:
-----portion of console log
Pungi:INFO: Finished downloading packages.
Pungi:INFO: Download list: []
Pungi:INFO: Finished downloading packages.
Pungi:INFO: Making repodata
Previous repo file missing: 
1767/1767 - Packages/newt-devel-0.52.10-1.fc10.i386.rpm                         rpmm
Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Sqlite DBs complete
Pungi:INFO: Running /usr/bin/repoview --quiet --state-dir /var/cache/pungi/repoviewcache --title "Fedora 10 - i386" /data/Fedora10/10/i386/os
Pungi:INFO: Making repodata
Previous repo file missing: 

Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Sqlite DBs complete
Pungi:INFO: Linking release note file GPL
Pungi:INFO: Linking release note file README-BURNING-ISOS-en_US.txt
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-i386
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-test-x86_64
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-ppc
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-test-ppc64
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-primary
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-test-ia64
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-x86_64
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-ia64
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-test-i386
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-test-primary
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-ppc64
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-test-ppc
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora-test
Pungi:INFO: Linking release note file RPM-GPG-KEY-fedora
Pungi:INFO: Running /usr/lib/anaconda-runtime/buildinstall --product Fedora --version 10 --release "Fedora 10" --bugurl http://bugzilla.redhat.com --output /data/Fedora10/10/i386/os --mirrorlist http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=i386 --mirrorlist http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide-source&arch=i386 /data/Fedora10/10/i386/os
Warning: creating filesystem that does not conform to ISO-9660.
Pungi:INFO: Making repodata
-----end portion of console log
Comment 1 Jesse Keating 2008-08-07 11:34:36 EDT
This unfortunately is a side effect of how anaconda buildinstall does it's work.  You now pass it yum repos to get packages from, and right now it has no concept of repo cost so that the on disk repo would be a cheaper repo to get packages from than any other yum repo passed to it.  This is all buildinstall's problem though, not pungi's.

Probably the most simple and helpful thing to do would be in buildinstall to assign any path based repos a lower cost than url based repos.  Beyond that buildinstall may need to become a yum subclass to take full advantage of what yum offers.
Comment 2 Bug Zapper 2008-11-25 21:41:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Cantrell 2009-04-14 16:31:41 EDT
mgracik,

Something to keep in mind as you work on lorax.
Comment 4 Bug Zapper 2009-11-16 03:10:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 07:49:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Martin Gracik 2010-11-10 11:02:17 EST
buildinstall is being slowly replaced by lorax, which does not have this problem, and uses pungi's yum base object, so there should not be any unnecessary package downloads anymore
Comment 7 Martin Gracik 2010-11-15 07:11:12 EST
*** Bug 491193 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.